gnutls_x509_crt_import_url(3)

NAME
gnutls_x509_crt_import_url - API function

SYNOPSIS
#include <gnutls/x509.h>

int gnutls_x509_crt_import_url(gnutls_x509_crt_t crt, const char * url, unsigned int flags);

ARGUMENTS

gnutls_x509_crt_t crt
    A certificate of type gnutls_x509_crt_t

const char * url
    A PKCS 11 url

unsigned int flags
    One of GNUTLS_PKCS11_OBJ_* flags for PKCS11 URLs or zero otherwise

DESCRIPTION
This function will import a certificate present in a PKCS11 token or any type of back-end that supports URLs.

In previous versions of gnutls this function was named gnutls_x509_crt_import_pkcs11_url, and the old name is an alias to this one.

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, otherwise a negative error value.

SINCE
3.4.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2017 Free Software Foundation, Inc., and others.
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/